html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 70px;  
}

.paddingTop55 {
    padding-top: 55px;
}

.copyright {
    min-height: 50px;
}

footer {
    min-height: 50px;
    background-color: #222222;
    color: #A9A9A9;
    margin-top: 30px;
    position: absolute;
    bottom: 0;
    width: 100%;
}

.vertical-align {
    display: flex;
    flex-direction: row;
}

.vertical-align > [class^="col-"],
.vertical-align > [class*=" col-"] {
    display: flex;
    align-items: center; /* Align the flex-items vertically */
    justify-content: center; /* Optional, to align inner flex-items 
                            horizontally within the column  */
}

.navbar-text, .form-control, .navbar-form .btn-default {
    margin-top: 4px;
    margin-bottom: auto;
}

.navbar-text {
    margin-top: 8px;
}

.navbar-form {
    padding: 0px;
    margin: 0px 5px 5px 0px;
}

.mainGridHeader {
    margin: 10px;
    padding-top: 10px;
}

.mainGridHeader > .form-horizontal > .form-group > .control-label {
    margin-top: 5px;
}

.json-viewer {
    margin: 10px;   
}

.json-viewer div {
    margin: 0px 0px 10px 0px;
    padding: 10px;
    padding-bottom: 0px;
}

.headers {
    margin: 10px;
}